Skip to main content

CRM & Sales

Salesforce, HubSpot, Pipedrive

  • Tools: 10
  • Connectors: 8

Connectors in this domain

Tool reference

crm.accounts.get - Get Account

Get account details

  • Risk: read - Read-only - safe to call freely
  • Supported by: Salesforce, HubSpot, Zoho CRM, Microsoft Dynamics 365, Pipedrive, Copper, Freshsales, Close

Input schema

FieldTypeRequiredDescription
account_idstringNo-

Output schema

FieldTypeRequiredDescription
accountobjectNo-

REST example

curl -X POST 'https://integration-hub.rezolve.ai/api/v1/tools/crm.accounts.get/execute' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{"input":{"account_id":"string"}}'

MCP example

{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "crm.accounts.get",
"arguments": {
"account_id": "string"
}
}
}

crm.accounts.search - Search Accounts

Search CRM accounts/companies

  • Risk: read - Read-only - safe to call freely
  • Supported by: Microsoft Dynamics 365, Pipedrive, Copper, Freshsales, Salesforce, Close, Zoho CRM

Input schema

FieldTypeRequiredDescription
querystringNo-

Output schema

FieldTypeRequiredDescription
accountsarrayNo-

REST example

curl -X POST 'https://integration-hub.rezolve.ai/api/v1/tools/crm.accounts.search/execute' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{"input":{"query":"string"}}'

MCP example

{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "crm.accounts.search",
"arguments": {
"query": "string"
}
}
}

crm.activities.log - Log Activity

Log a CRM activity

  • Risk: write - Creates or modifies data
  • Supported by: Salesforce, HubSpot, Zoho CRM, Freshsales, Pipedrive, Microsoft Dynamics 365, Copper, Close

Input schema

FieldTypeRequiredDescription
typestringNo-
subjectstringNo-
descriptionstringNo-

Output schema

FieldTypeRequiredDescription
activityobjectNo-

REST example

curl -X POST 'https://integration-hub.rezolve.ai/api/v1/tools/crm.activities.log/execute' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{"input":{"type":"string","subject":"string"}}'

MCP example

{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "crm.activities.log",
"arguments": {
"type": "string",
"subject": "string"
}
}
}

crm.cases.search - Search Cases

Search support cases

  • Risk: read - Read-only - safe to call freely
  • Supported by: Salesforce, HubSpot, Zoho CRM, Microsoft Dynamics 365, Pipedrive, Copper, Freshsales, Close

Input schema

FieldTypeRequiredDescription
querystringNo-

Output schema

FieldTypeRequiredDescription
casesarrayNo-

REST example

curl -X POST 'https://integration-hub.rezolve.ai/api/v1/tools/crm.cases.search/execute' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{"input":{"query":"string"}}'

MCP example

{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "crm.cases.search",
"arguments": {
"query": "string"
}
}
}

crm.contacts.create - Create Contact

Create a new contact

  • Risk: write - Creates or modifies data
  • Supported by: Salesforce, HubSpot, Pipedrive, Microsoft Dynamics 365, Copper, Freshsales, Close, Zoho CRM

Input schema

FieldTypeRequiredDescription
emailstringNo-
last_namestringNo-
first_namestringNo-

Output schema

FieldTypeRequiredDescription
contactobjectNo-

REST example

curl -X POST 'https://integration-hub.rezolve.ai/api/v1/tools/crm.contacts.create/execute' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{"input":{"email":"string","last_name":"string"}}'

MCP example

{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "crm.contacts.create",
"arguments": {
"email": "string",
"last_name": "string"
}
}
}

crm.contacts.get - Get Contact

Get contact details

  • Risk: read - Read-only - safe to call freely
  • Supported by: Salesforce, HubSpot, Microsoft Dynamics 365, Freshsales, Copper, Pipedrive, Close, Zoho CRM

Input schema

FieldTypeRequiredDescription
contact_idstringNo-

Output schema

FieldTypeRequiredDescription
contactobjectNo-

REST example

curl -X POST 'https://integration-hub.rezolve.ai/api/v1/tools/crm.contacts.get/execute' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{"input":{"contact_id":"string"}}'

MCP example

{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "crm.contacts.get",
"arguments": {
"contact_id": "string"
}
}
}

crm.contacts.search - Search Contacts

Search CRM contacts

  • Risk: read - Read-only - safe to call freely
  • Supported by: Salesforce, HubSpot, Microsoft Dynamics 365, Freshsales, Copper, Pipedrive, Close, Zoho CRM

Input schema

FieldTypeRequiredDescription
limitintegerNo-
querystringNo-

Output schema

FieldTypeRequiredDescription
contactsarrayNo-

REST example

curl -X POST 'https://integration-hub.rezolve.ai/api/v1/tools/crm.contacts.search/execute' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{"input":{"limit":0,"query":"string"}}'

MCP example

{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "crm.contacts.search",
"arguments": {
"limit": 0,
"query": "string"
}
}
}

crm.deals.get - Get Deal

Get deal details

  • Risk: read - Read-only - safe to call freely
  • Supported by: Salesforce, HubSpot, Pipedrive, Zoho CRM, Microsoft Dynamics 365, Copper, Freshsales, Close

Input schema

FieldTypeRequiredDescription
deal_idstringNo-

Output schema

FieldTypeRequiredDescription
dealobjectNo-

REST example

curl -X POST 'https://integration-hub.rezolve.ai/api/v1/tools/crm.deals.get/execute' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{"input":{"deal_id":"string"}}'

MCP example

{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "crm.deals.get",
"arguments": {
"deal_id": "string"
}
}
}

crm.deals.list - List Deals

List deals/opportunities

  • Risk: read - Read-only - safe to call freely
  • Supported by: Salesforce, HubSpot, Pipedrive, Zoho CRM, Microsoft Dynamics 365, Copper, Freshsales, Close

Input schema

FieldTypeRequiredDescription
limitintegerNo-

Output schema

FieldTypeRequiredDescription
dealsarrayNo-

REST example

curl -X POST 'https://integration-hub.rezolve.ai/api/v1/tools/crm.deals.list/execute' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{"input":{"limit":0}}'

MCP example

{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "crm.deals.list",
"arguments": {
"limit": 0
}
}
}

crm.opportunities.search - Search Opportunities

Search sales opportunities

  • Risk: read - Read-only - safe to call freely
  • Supported by: Salesforce, HubSpot, Zoho CRM, Microsoft Dynamics 365, Pipedrive, Copper, Freshsales, Close

Input schema

FieldTypeRequiredDescription
querystringNo-

Output schema

FieldTypeRequiredDescription
opportunitiesarrayNo-

REST example

curl -X POST 'https://integration-hub.rezolve.ai/api/v1/tools/crm.opportunities.search/execute' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{"input":{"query":"string"}}'

MCP example

{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "crm.opportunities.search",
"arguments": {
"query": "string"
}
}
}